## ros-noetic-moveit-task-constructor-msgs 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.3)
project(moveit_task_constructor_msgs)

set(MSG_DEPS moveit_msgs visualization_msgs)

find_package(catkin REQUIRED COMPONENTS
	message_generation
	${MSG_DEPS}
)

# ROS messages, services and actions
add_message_files(DIRECTORY msg FILES
	Property.msg
	Solution.msg
	SolutionInfo.msg
	StageDescription.msg
	StageStatistics.msg
	SubSolution.msg
	SubTrajectory.msg
	TaskDescription.msg
	TaskStatistics.msg
)

add_service_files(DIRECTORY srv FILES
	GetSolution.srv
)

add_action_files(DIRECTORY action FILES
	ExecuteTaskSolution.action
)

generate_messages(DEPENDENCIES ${MSG_DEPS})

catkin_package(
	CATKIN_DEPENDS
		message_runtime
		${MSG_DEPS}
)

## ros-noetic-moveit-task-constructor-msgs 0.1.1

=== debian/changelog ===
ros-noetic-moveit-task-constructor-msgs (0.1.1-1buster) buster; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 14 Feb 2023 23:00:00 -0000

ros-noetic-moveit-task-constructor-msgs (0.1.0-1buster) buster; urgency=high

  * Initial release
  * Contributors: Michael Görner, Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 01 Feb 2023 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-moveit-task-constructor-msgs
Section: misc
Priority: optional
Maintainer: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-moveit-msgs, ros-noetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-moveit-task-constructor-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-generation, ros-noetic-message-runtime, ros-noetic-moveit-msgs, ros-noetic-visualization-msgs
Description: Messages for MoveIt Task Pipeline

## ros-noetic-moveit-task-constructor-msgs 0.1.3

=== debian/changelog ===
ros-noetic-moveit-task-constructor-msgs (0.1.3-1focal) focal; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sun, 05 Mar 2023 23:00:00 -0000

ros-noetic-moveit-task-constructor-msgs (0.1.2-1focal) focal; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 23 Feb 2023 23:00:00 -0000

ros-noetic-moveit-task-constructor-msgs (0.1.1-1focal) focal; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Tue, 14 Feb 2023 23:00:00 -0000

ros-noetic-moveit-task-constructor-msgs (0.1.0-1focal) focal; urgency=high

  * Initial release
  * Contributors: Michael Görner, Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 01 Feb 2023 23:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-moveit-task-constructor-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
